Parsing
Get Parse Job
List Parse Jobs
ModelsExpand Collapse
class BBox: …
Bounding box with coordinates and optional metadata.
h: float
Height of the bounding box
w: float
Width of the bounding box
x: float
X coordinate of the bounding box
y: float
Y coordinate of the bounding box
confidence: Optional[float]
Confidence score
end_index: Optional[int]
End index in the text
label: Optional[str]
Label for the bounding box
start_index: Optional[int]
Start index in the text
class CodeItem: …
md: str
Markdown representation preserving formatting
value: str
Code content
List of bounding boxes
h: float
Height of the bounding box
w: float
Width of the bounding box
x: float
X coordinate of the bounding box
y: float
Y coordinate of the bounding box
confidence: Optional[float]
Confidence score
end_index: Optional[int]
End index in the text
label: Optional[str]
Label for the bounding box
start_index: Optional[int]
Start index in the text
language: Optional[str]
Programming language identifier
type: Optional[Literal["code"]]
Code block item type
Literal["raw_text", "blank_page", "error_message"]
Enum for representing the different available page error handling modes.
class FooterItem: …
items: List[Item]
List of items within the footer
class TextItem: …
md: str
Markdown representation preserving formatting
value: str
Text content
List of bounding boxes
h: float
Height of the bounding box
w: float
Width of the bounding box
x: float
X coordinate of the bounding box
y: float
Y coordinate of the bounding box
confidence: Optional[float]
Confidence score
end_index: Optional[int]
End index in the text
label: Optional[str]
Label for the bounding box
start_index: Optional[int]
Start index in the text
type: Optional[Literal["text"]]
Text item type
class HeadingItem: …
level: int
Heading level (1-6)
md: str
Markdown representation preserving formatting
value: str
Heading text content
List of bounding boxes
h: float
Height of the bounding box
w: float
Width of the bounding box
x: float
X coordinate of the bounding box
y: float
Y coordinate of the bounding box
confidence: Optional[float]
Confidence score
end_index: Optional[int]
End index in the text
label: Optional[str]
Label for the bounding box
start_index: Optional[int]
Start index in the text
type: Optional[Literal["heading"]]
Heading item type
class ListItem: …
items: List[Item]
List of nested text or list items
class TextItem: …
md: str
Markdown representation preserving formatting
value: str
Text content
List of bounding boxes
h: float
Height of the bounding box
w: float
Width of the bounding box
x: float
X coordinate of the bounding box
y: float
Y coordinate of the bounding box
confidence: Optional[float]
Confidence score
end_index: Optional[int]
End index in the text
label: Optional[str]
Label for the bounding box
start_index: Optional[int]
Start index in the text
type: Optional[Literal["text"]]
Text item type
md: str
Markdown representation preserving formatting
ordered: bool
Whether the list is ordered or unordered
List of bounding boxes
h: float
Height of the bounding box
w: float
Width of the bounding box
x: float
X coordinate of the bounding box
y: float
Y coordinate of the bounding box
confidence: Optional[float]
Confidence score
end_index: Optional[int]
End index in the text
label: Optional[str]
Label for the bounding box
start_index: Optional[int]
Start index in the text
type: Optional[Literal["list"]]
List item type
class CodeItem: …
md: str
Markdown representation preserving formatting
value: str
Code content
List of bounding boxes
h: float
Height of the bounding box
w: float
Width of the bounding box
x: float
X coordinate of the bounding box
y: float
Y coordinate of the bounding box
confidence: Optional[float]
Confidence score
end_index: Optional[int]
End index in the text
label: Optional[str]
Label for the bounding box
start_index: Optional[int]
Start index in the text
language: Optional[str]
Programming language identifier
type: Optional[Literal["code"]]
Code block item type
class TableItem: …
csv: str
CSV representation of the table
html: str
HTML representation of the table
md: str
Markdown representation preserving formatting
rows: List[List[Union[str, float, null]]]
Table data as array of arrays (string, number, or null)
List of bounding boxes
h: float
Height of the bounding box
w: float
Width of the bounding box
x: float
X coordinate of the bounding box
y: float
Y coordinate of the bounding box
confidence: Optional[float]
Confidence score
end_index: Optional[int]
End index in the text
label: Optional[str]
Label for the bounding box
start_index: Optional[int]
Start index in the text
merged_from_pages: Optional[List[int]]
List of page numbers with tables that were merged into this table (e.g., [1, 2, 3, 4])
merged_into_page: Optional[int]
Populated when merged into another table. Page number where the full merged table begins (used on empty tables).
parse_concerns: Optional[List[ParseConcern]]
Quality concerns detected during table extraction, indicating the table may have issues
details: str
Human-readable details about the concern
type: str
Type of parse concern (e.g. header_value_type_mismatch, inconsistent_row_cell_count)
type: Optional[Literal["table"]]
Table item type
class ImageItem: …
caption: str
Image caption
md: str
Markdown representation preserving formatting
url: str
URL to the image
List of bounding boxes
h: float
Height of the bounding box
w: float
Width of the bounding box
x: float
X coordinate of the bounding box
y: float
Y coordinate of the bounding box
confidence: Optional[float]
Confidence score
end_index: Optional[int]
End index in the text
label: Optional[str]
Label for the bounding box
start_index: Optional[int]
Start index in the text
type: Optional[Literal["image"]]
Image item type
class LinkItem: …
md: str
Markdown representation preserving formatting
text: str
Display text of the link
url: str
URL of the link
List of bounding boxes
h: float
Height of the bounding box
w: float
Width of the bounding box
x: float
X coordinate of the bounding box
y: float
Y coordinate of the bounding box
confidence: Optional[float]
Confidence score
end_index: Optional[int]
End index in the text
label: Optional[str]
Label for the bounding box
start_index: Optional[int]
Start index in the text
type: Optional[Literal["link"]]
Link item type
md: str
Markdown representation preserving formatting
List of bounding boxes
h: float
Height of the bounding box
w: float
Width of the bounding box
x: float
X coordinate of the bounding box
y: float
Y coordinate of the bounding box
confidence: Optional[float]
Confidence score
end_index: Optional[int]
End index in the text
label: Optional[str]
Label for the bounding box
start_index: Optional[int]
Start index in the text
type: Optional[Literal["footer"]]
Page footer container
class HeaderItem: …
items: List[Item]
List of items within the header
class TextItem: …
md: str
Markdown representation preserving formatting
value: str
Text content
List of bounding boxes
h: float
Height of the bounding box
w: float
Width of the bounding box
x: float
X coordinate of the bounding box
y: float
Y coordinate of the bounding box
confidence: Optional[float]
Confidence score
end_index: Optional[int]
End index in the text
label: Optional[str]
Label for the bounding box
start_index: Optional[int]
Start index in the text
type: Optional[Literal["text"]]
Text item type
class HeadingItem: …
level: int
Heading level (1-6)
md: str
Markdown representation preserving formatting
value: str
Heading text content
List of bounding boxes
h: float
Height of the bounding box
w: float
Width of the bounding box
x: float
X coordinate of the bounding box
y: float
Y coordinate of the bounding box
confidence: Optional[float]
Confidence score
end_index: Optional[int]
End index in the text
label: Optional[str]
Label for the bounding box
start_index: Optional[int]
Start index in the text
type: Optional[Literal["heading"]]
Heading item type
class ListItem: …
items: List[Item]
List of nested text or list items
class TextItem: …
md: str
Markdown representation preserving formatting
value: str
Text content
List of bounding boxes
h: float
Height of the bounding box
w: float
Width of the bounding box
x: float
X coordinate of the bounding box
y: float
Y coordinate of the bounding box
confidence: Optional[float]
Confidence score
end_index: Optional[int]
End index in the text
label: Optional[str]
Label for the bounding box
start_index: Optional[int]
Start index in the text
type: Optional[Literal["text"]]
Text item type
md: str
Markdown representation preserving formatting
ordered: bool
Whether the list is ordered or unordered
List of bounding boxes
h: float
Height of the bounding box
w: float
Width of the bounding box
x: float
X coordinate of the bounding box
y: float
Y coordinate of the bounding box
confidence: Optional[float]
Confidence score
end_index: Optional[int]
End index in the text
label: Optional[str]
Label for the bounding box
start_index: Optional[int]
Start index in the text
type: Optional[Literal["list"]]
List item type
class CodeItem: …
md: str
Markdown representation preserving formatting
value: str
Code content
List of bounding boxes
h: float
Height of the bounding box
w: float
Width of the bounding box
x: float
X coordinate of the bounding box
y: float
Y coordinate of the bounding box
confidence: Optional[float]
Confidence score
end_index: Optional[int]
End index in the text
label: Optional[str]
Label for the bounding box
start_index: Optional[int]
Start index in the text
language: Optional[str]
Programming language identifier
type: Optional[Literal["code"]]
Code block item type
class TableItem: …
csv: str
CSV representation of the table
html: str
HTML representation of the table
md: str
Markdown representation preserving formatting
rows: List[List[Union[str, float, null]]]
Table data as array of arrays (string, number, or null)
List of bounding boxes
h: float
Height of the bounding box
w: float
Width of the bounding box
x: float
X coordinate of the bounding box
y: float
Y coordinate of the bounding box
confidence: Optional[float]
Confidence score
end_index: Optional[int]
End index in the text
label: Optional[str]
Label for the bounding box
start_index: Optional[int]
Start index in the text
merged_from_pages: Optional[List[int]]
List of page numbers with tables that were merged into this table (e.g., [1, 2, 3, 4])
merged_into_page: Optional[int]
Populated when merged into another table. Page number where the full merged table begins (used on empty tables).
parse_concerns: Optional[List[ParseConcern]]
Quality concerns detected during table extraction, indicating the table may have issues
details: str
Human-readable details about the concern
type: str
Type of parse concern (e.g. header_value_type_mismatch, inconsistent_row_cell_count)
type: Optional[Literal["table"]]
Table item type
class ImageItem: …
caption: str
Image caption
md: str
Markdown representation preserving formatting
url: str
URL to the image
List of bounding boxes
h: float
Height of the bounding box
w: float
Width of the bounding box
x: float
X coordinate of the bounding box
y: float
Y coordinate of the bounding box
confidence: Optional[float]
Confidence score
end_index: Optional[int]
End index in the text
label: Optional[str]
Label for the bounding box
start_index: Optional[int]
Start index in the text
type: Optional[Literal["image"]]
Image item type
class LinkItem: …
md: str
Markdown representation preserving formatting
text: str
Display text of the link
url: str
URL of the link
List of bounding boxes
h: float
Height of the bounding box
w: float
Width of the bounding box
x: float
X coordinate of the bounding box
y: float
Y coordinate of the bounding box
confidence: Optional[float]
Confidence score
end_index: Optional[int]
End index in the text
label: Optional[str]
Label for the bounding box
start_index: Optional[int]
Start index in the text
type: Optional[Literal["link"]]
Link item type
md: str
Markdown representation preserving formatting
List of bounding boxes
h: float
Height of the bounding box
w: float
Width of the bounding box
x: float
X coordinate of the bounding box
y: float
Y coordinate of the bounding box
confidence: Optional[float]
Confidence score
end_index: Optional[int]
End index in the text
label: Optional[str]
Label for the bounding box
start_index: Optional[int]
Start index in the text
type: Optional[Literal["header"]]
Page header container
class HeadingItem: …
level: int
Heading level (1-6)
md: str
Markdown representation preserving formatting
value: str
Heading text content
List of bounding boxes
h: float
Height of the bounding box
w: float
Width of the bounding box
x: float
X coordinate of the bounding box
y: float
Y coordinate of the bounding box
confidence: Optional[float]
Confidence score
end_index: Optional[int]
End index in the text
label: Optional[str]
Label for the bounding box
start_index: Optional[int]
Start index in the text
type: Optional[Literal["heading"]]
Heading item type
class ImageItem: …
caption: str
Image caption
md: str
Markdown representation preserving formatting
url: str
URL to the image
List of bounding boxes
h: float
Height of the bounding box
w: float
Width of the bounding box
x: float
X coordinate of the bounding box
y: float
Y coordinate of the bounding box
confidence: Optional[float]
Confidence score
end_index: Optional[int]
End index in the text
label: Optional[str]
Label for the bounding box
start_index: Optional[int]
Start index in the text
type: Optional[Literal["image"]]
Image item type
class LinkItem: …
md: str
Markdown representation preserving formatting
text: str
Display text of the link
url: str
URL of the link
List of bounding boxes
h: float
Height of the bounding box
w: float
Width of the bounding box
x: float
X coordinate of the bounding box
y: float
Y coordinate of the bounding box
confidence: Optional[float]
Confidence score
end_index: Optional[int]
End index in the text
label: Optional[str]
Label for the bounding box
start_index: Optional[int]
Start index in the text
type: Optional[Literal["link"]]
Link item type
class ListItem: …
items: List[Item]
List of nested text or list items
class TextItem: …
md: str
Markdown representation preserving formatting
value: str
Text content
List of bounding boxes
h: float
Height of the bounding box
w: float
Width of the bounding box
x: float
X coordinate of the bounding box
y: float
Y coordinate of the bounding box
confidence: Optional[float]
Confidence score
end_index: Optional[int]
End index in the text
label: Optional[str]
Label for the bounding box
start_index: Optional[int]
Start index in the text
type: Optional[Literal["text"]]
Text item type
md: str
Markdown representation preserving formatting
ordered: bool
Whether the list is ordered or unordered
List of bounding boxes
h: float
Height of the bounding box
w: float
Width of the bounding box
x: float
X coordinate of the bounding box
y: float
Y coordinate of the bounding box
confidence: Optional[float]
Confidence score
end_index: Optional[int]
End index in the text
label: Optional[str]
Label for the bounding box
start_index: Optional[int]
Start index in the text
type: Optional[Literal["list"]]
List item type
Literal[".pdf", ".abw", ".awt", 141 more]
Enum for supported file extensions.
class ParsingJob: …
Response schema for a parsing job.
Enum for representing the status of a job
Literal["af", "az", "bs", 83 more]
Enum for representing the languages supported by the parser.
Literal["parse_page_without_llm", "parse_page_with_llm", "parse_page_with_lvm", 5 more]
Enum for representing the mode of parsing to be used.
Literal["PENDING", "SUCCESS", "ERROR", 2 more]
Enum for representing the status of a job
class TableItem: …
csv: str
CSV representation of the table
html: str
HTML representation of the table
md: str
Markdown representation preserving formatting
rows: List[List[Union[str, float, null]]]
Table data as array of arrays (string, number, or null)
List of bounding boxes
h: float
Height of the bounding box
w: float
Width of the bounding box
x: float
X coordinate of the bounding box
y: float
Y coordinate of the bounding box
confidence: Optional[float]
Confidence score
end_index: Optional[int]
End index in the text
label: Optional[str]
Label for the bounding box
start_index: Optional[int]
Start index in the text
merged_from_pages: Optional[List[int]]
List of page numbers with tables that were merged into this table (e.g., [1, 2, 3, 4])
merged_into_page: Optional[int]
Populated when merged into another table. Page number where the full merged table begins (used on empty tables).
parse_concerns: Optional[List[ParseConcern]]
Quality concerns detected during table extraction, indicating the table may have issues
details: str
Human-readable details about the concern
type: str
Type of parse concern (e.g. header_value_type_mismatch, inconsistent_row_cell_count)
type: Optional[Literal["table"]]
Table item type
class TextItem: …
md: str
Markdown representation preserving formatting
value: str
Text content
List of bounding boxes
h: float
Height of the bounding box
w: float
Width of the bounding box
x: float
X coordinate of the bounding box
y: float
Y coordinate of the bounding box
confidence: Optional[float]
Confidence score
end_index: Optional[int]
End index in the text
label: Optional[str]
Label for the bounding box
start_index: Optional[int]
Start index in the text
type: Optional[Literal["text"]]
Text item type